summaryrefslogtreecommitdiff
path: root/gnome-extra
diff options
context:
space:
mode:
authorGluzskiy Alexandr <sss123next@list.ru>2017-06-22 13:39:22 +0300
committerGluzskiy Alexandr <sss123next@list.ru>2017-06-22 13:39:22 +0300
commit3b5f4199cc1e4a3c523e31fa847ada2772bb0be6 (patch)
tree8e168f5920e3d0d4a43d4b96745dd36ba8b68cf6 /gnome-extra
parent065a4a3e516d770ce4a6c8ebe96d5deedd4add38 (diff)
added evolution-data-server scm build
Diffstat (limited to 'gnome-extra')
-rw-r--r--gnome-extra/evolution-data-server/evolution-data-server-scm.ebuild119
-rw-r--r--gnome-extra/evolution-data-server/files/calentry.schema108
-rw-r--r--gnome-extra/evolution-data-server/metadata.xml16
3 files changed, 243 insertions, 0 deletions
diff --git a/gnome-extra/evolution-data-server/evolution-data-server-scm.ebuild b/gnome-extra/evolution-data-server/evolution-data-server-scm.ebuild
new file mode 100644
index 0000000..584e7d8
--- /dev/null
+++ b/gnome-extra/evolution-data-server/evolution-data-server-scm.ebuild
@@ -0,0 +1,119 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_{4,5} pypy )
+VALA_USE_DEPEND="vapigen"
+
+inherit db-use flag-o-matic python-any-r1 systemd vala virtualx git-r3 cmake-utils
+
+DESCRIPTION="Evolution groupware backend"
+HOMEPAGE="https://wiki.gnome.org/Apps/Evolution"
+
+EGIT_REPO_URI="git://git.gnome.org/evolution-data-server"
+
+# Note: explicitly "|| ( LGPL-2 LGPL-3 )", not "LGPL-2+".
+LICENSE="|| ( LGPL-2 LGPL-3 ) BSD Sleepycat"
+#SLOT="0/59" # subslot = libcamel-1.2 soname version
+SLOT="0"
+
+IUSE="api-doc-extras berkdb +gnome-online-accounts +gtk google +introspection ipv6 ldap kerberos vala +weather"
+REQUIRED_USE="vala? ( introspection )"
+
+KEYWORDS=""
+
+S="${WORKDIR}/${PN}-${PV}"
+
+# sys-libs/db is only required for migrating from <3.13 versions
+# gdata-0.17.7 soft required for new gdata_feed_get_next_page_token API to handle more than 100 google tasks
+# berkdb needed only for migrating old calendar data, bug #519512
+gdata_depend=">=dev-libs/libgdata-0.17.7:="
+RDEPEND="
+ >=app-crypt/gcr-3.4
+ >=app-crypt/libsecret-0.5[crypt]
+ >=dev-db/sqlite-3.7.17:=
+ >=dev-libs/glib-2.46:2
+ >=dev-libs/libical-0.43:=
+ >=dev-libs/libxml2-2
+ >=dev-libs/nspr-4.4:=
+ >=dev-libs/nss-3.9:=
+ >=net-libs/libsoup-2.42:2.4
+
+ dev-libs/icu:=
+ sys-libs/zlib:=
+ virtual/libiconv
+
+ berkdb? ( >=sys-libs/db-4:= )
+ gtk? (
+ >=app-crypt/gcr-3.4[gtk]
+ >=x11-libs/gtk+-3.10:3
+ )
+ google? (
+ >=dev-libs/json-glib-1.0.4
+ >=net-libs/webkit-gtk-2.11.91:4
+ ${gdata_depend}
+ )
+ gnome-online-accounts? (
+ >=net-libs/gnome-online-accounts-3.8:=
+ ${gdata_depend} )
+ introspection? ( >=dev-libs/gobject-introspection-0.9.12:= )
+ kerberos? ( virtual/krb5:= )
+ ldap? ( >=net-nds/openldap-2:= )
+ weather? ( >=dev-libs/libgweather-3.10:2= )
+"
+DEPEND="${RDEPEND}
+ ${PYTHON_DEPS}
+ dev-util/gdbus-codegen
+ dev-util/gperf
+ >=dev-util/gtk-doc-am-1.14
+ >=dev-util/intltool-0.35.5
+ >=gnome-base/gnome-common-2
+ >=sys-devel/gettext-0.17
+ virtual/pkgconfig
+ vala? ( $(vala_depend) )
+"
+
+# Some tests fail due to missings locales.
+# Also, dbus tests are flacky, bugs #397975 #501834
+# It looks like a nightmare to disable those for now.
+RESTRICT="test"
+
+src_unpack() {
+ git-r3_src_unpack
+}
+
+pkg_setup() {
+ python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ use vala && vala_src_prepare
+# gnome2_src_prepare
+}
+
+src_configure() {
+ # /usr/include/db.h is always db-1 on FreeBSD
+ # so include the right dir in CPPFLAGS
+ use berkdb && append-cppflags "-I$(db_includedir)"
+ local gdata_flag
+ if use google || use gnome-online-accounts; then
+ gdata_flag="--enable-google"
+ else
+ gdata_flag="--disable-google"
+ fi
+
+ local mycmakeargs=(
+ -DENABLE_UOA=OFF
+ $(cmake-utils_use_enable google GOA)
+ $(cmake-utils_use_enable google GOOGLE_AUTH)
+ $(cmake-utils_use_enable gtk GTK)
+ $(cmake-utils_use_enable weather WEATHER)
+ )
+ cmake-utils_src_configure
+}
+
+
+src_install() {
+ cmake-utils_src_install
+
+}
diff --git a/gnome-extra/evolution-data-server/files/calentry.schema b/gnome-extra/evolution-data-server/files/calentry.schema
new file mode 100644
index 0000000..bc79da2
--- /dev/null
+++ b/gnome-extra/evolution-data-server/files/calentry.schema
@@ -0,0 +1,108 @@
+# RFC2739 calEntry schema for OpenLDAP 2.x
+
+#
+# From https://bugs.gentoo.org/show_bug.cgi?id=83988
+# Please notify us of updated revisions by submitting a bug report at bugs.gentoo.org
+#
+
+# Version of RFC 2739 schema translated by Terrelle Shaw
+# (xytek@xytek.org) # Nov. 7, 2002 # Modifications by Peter Marschall
+# <peter.marschall@adpm.de> # Nov. 9, 2002
+
+# Notes:
+# * RFC2739 seems to be a bit sloppy about attribute type and
+# objectclass definitions syntax and also about attribute syntax
+# and matching rules.
+# (It even counts the attributes in the calEntry objectclass wrong ;-)
+# * The following changes have been applied to correct the schema
+# - added description to each attributetype definition
+# - changed SYNTAX from 'IA5String' to corresponding OID
+# to make matching rules and syntax consistent
+# - replaced illegal keyword SUBSTRING by SUBSTR
+# - changed SUBSTR from caseIgnoreIA5Match to caseIgnoreIA5SubstringsMatch
+# - removed illegal keyword MULTI-VALUE
+# - added keyword SINGLE-VALUE where appropriate
+# - removed USAGE since cwuserApplications is the default
+# - added description to the objectclass defintion
+# - corrected typo in objectclass definition
+# - added the attributetypes defined but not used to the objectclass
+
+
+# 2.4.4.1 calCalURI
+attributetype ( 1.2.840.113556.1.4.478
+ NAME 'calCalURI'
+ DESC 'URI to a snapshot of the users entire default calendar'
+ EQUALITY caseIgnoreIA5Match
+ SUBSTR caseIgnoreIA5SubstringsMatch
+ SYNTAX 1.3.6.1.4.1.1466.115.121.1.26
+ SINGLE-VALUE )
+
+# 2.4.4.2 calFBURL
+attributetype ( 1.2.840.113556.1.4.479
+ NAME 'calFBURL'
+ DESC 'URI to the users default free/busy time data'
+ EQUALITY caseIgnoreIA5Match
+ SUBSTR caseIgnoreIA5SubstringsMatch
+ SYNTAX 1.3.6.1.4.1.1466.115.121.1.26
+ SINGLE-VALUE )
+
+# 2.4.4.3 calCAPURI
+attributetype ( 1.2.840.113556.1.4.480
+ NAME 'calCAPURI'
+ DESC 'URI used to communicate with the users calendar'
+ EQUALITY caseIgnoreIA5Match
+ SUBSTR caseIgnoreIA5SubstringsMatch
+ SYNTAX 1.3.6.1.4.1.1466.115.121.1.26
+ SINGLE-VALUE )
+
+# 2.4.4.4 calCalAdrURI
+attributetype ( 1.2.840.113556.1.4.481
+ NAME 'calCalAdrURI'
+ DESC 'URI to which event requests should be sent for the user'
+ EQUALITY caseIgnoreIA5Match
+ SUBSTR caseIgnoreIA5SubstringsMatch
+ SYNTAX 1.3.6.1.4.1.1466.115.121.1.26
+ SINGLE-VALUE )
+
+# 2.4.4.5 calOtherCalURIs
+attributetype ( 1.2.840.113556.1.4.482
+ NAME 'calOtherCalURIs'
+ DESC 'URIs to snapshots of non-default calendars belonging to the user'
+ EQUALITY caseIgnoreIA5Match
+ SUBSTR caseIgnoreIA5SubstringsMatch
+ SYNTAX 1.3.6.1.4.1.1466.115.121.1.26 )
+
+# 2.4.4.6 calOtherFBURLs
+attributetype ( 1.2.840.113556.1.4.483
+ NAME 'calOtherFBURLs'
+ DESC 'URIs to non-default free/busy data belonging to the user'
+ EQUALITY caseIgnoreIA5Match
+ SUBSTR caseIgnoreIA5SubstringsMatch
+ SYNTAX 1.3.6.1.4.1.1466.115.121.1.26 )
+
+# 2.4.4.7 calOtherCAPURIs
+attributetype ( 1.2.840.113556.1.4.484
+ NAME 'calOtherCAPURIs'
+ DESC 'URIs to non-default calendars belonging to the user'
+ EQUALITY caseIgnoreIA5Match
+ SUBSTR caseIgnoreIA5SubstringsMatch
+ SYNTAX 1.3.6.1.4.1.1466.115.121.1.26 )
+
+# 2.4.4.8 calOtherCalAdrURIs
+attributetype ( 1.2.840.113556.1.4.485
+ NAME 'calOtherCalAdrURIs'
+ DESC 'URIs of destinations for event requests to non-default calendars'
+ EQUALITY caseIgnoreIA5Match
+ SUBSTR caseIgnoreIA5SubstringsMatch
+ SYNTAX 1.3.6.1.4.1.1466.115.121.1.26 )
+
+# 2.4.3.1 calEntry
+objectclass ( 1.2.840.113556.1.5.87
+ NAME 'calEntry'
+ DESC 'Calendering and free/busy information'
+ SUP top AUXILIARY
+ MAY ( calCalURI $ calFBURL $ calCAPURI $ calCalAdrURI $
+ calOtherCAPURIs $ calOtherCalURIs $ calOtherFBURLs $
+ calOtherCalAdrURIs ) )
+
+# EOF
diff --git a/gnome-extra/evolution-data-server/metadata.xml b/gnome-extra/evolution-data-server/metadata.xml
new file mode 100644
index 0000000..5c891ea
--- /dev/null
+++ b/gnome-extra/evolution-data-server/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>gnome@gentoo.org</email>
+ <name>Gentoo GNOME Desktop</name>
+ </maintainer>
+ <use>
+ <flag name="api-doc-extras">Build documentation for private APIs</flag>
+ <flag name="berkdb"><pkg>sys-libs/db</pkg> support needed to migrate old (pre-3.12 evolution versions) addressbook data</flag>
+ <flag name="gnome-online-accounts">Enable <pkg>net-libs/gnome-online-accounts</pkg> based Google authentication support</flag>
+ <flag name="google">Enable internal Google authentication support. If gnome-online-accounts is enabled and used, this is not necessary,
+ but both can be supported at the same time with different setup at runtime</flag>
+ <flag name="weather">Enable optional weather calendar support</flag>
+ </use>
+</pkgmetadata>